import Vue from 'vue';

const Plugin = {
  install(vue, options) {
    vue.mixin({
      created() {
        if (this.$store && !this.$store.$limit) {
          this.$store.$limit = this.$limit;
        }
      },
    });
    // 4. 添加实例方法
    vue.prototype.$limit = 10;
  },
};

Vue.use(Plugin);
