import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
const jwt = require('jsonwebtoken');
Vue.use(Vuex);

const api = {
  login: `/api/visit/login`,
};

const state = () => ({});
const mutations = {};
const actions = {
  async login({ commit }, payload) {
    const res = await this.$axios.$post(`${api.login}`, payload);
    if (res.errcode === 0) {
      const user = jwt.decode(res.data);
      commit('setUser', user, { root: true });
      return true;
    } else {
      return res;
    }
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
